Check if a git repo could be imported to Diversion
curl --request POST \
--url https://api.diversion.dev/v0/repos/import/check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"git_url": "<string>"
}
'import requests
url = "https://api.diversion.dev/v0/repos/import/check"
payload = { "git_url": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({git_url: '<string>'})
};
fetch('https://api.diversion.dev/v0/repos/import/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 403,
"detail": "User not authorized to perform the requested action on the resource",
"title": "<string>",
"type": "<string>"
}{
"status": 403,
"detail": "User not authorized to perform the requested action on the resource",
"title": "<string>",
"type": "<string>"
}Repository Manipulation
Verify Git repository import
The git repo URL must have http credentials embedded or otherwise hosted on Github and the owner has the Diversion Github app integration set up.
POST
/
repos
/
import
/
check
Check if a git repo could be imported to Diversion
⌘I

